Subject: Re: GSoC 2008 - Mentors Wanted!

From: Noel Grandin <[email-masked]>
Date: Wed, 05 Mar 2008 16:55:11 +0200

Imran M Yousuf wrote:
> To start with I was actually thinking of JNI + "exec from C". So later
> when libification is completed we can replace the execs with call to
> the libs directly instead. Is this a viable fourth option (sorry I
> forgot to mention it the first time around)?
>
>   

This is probably a good idea. JGIT is always going to be 2 steps behind
the native GIT code when comes to accessing on-disk structures.

This is also how the subversion plugin for the Eclipse IDE worked in the
beginning and the performance seemed to be acceptable (to me).

Regards, Noel.

Disclaimer: http://www.peralex.com/disclaimer.html